InvalidAttributeException
Keywords: org.ggf.drmaa.InvalidAttributeException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ggf.drmaa
Class InvalidAttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ggf.drmaa.DrmaaException
                  org.ggf.drmaa.InvalidAttributeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConflictingAttributeValuesException, InvalidAttributeFormatException, InvalidAttributeValueException

public abstract class InvalidAttributeException
extends DrmaaException

The value or format of an attribute is invalid.

Since:
  0.4.2
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`InvalidAttributeException()` Creates a new instance of `AttributeException` without detail message.
`InvalidAttributeException(java.lang.String msg)` Constructs an instance of `AttributeException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidAttributeException

    public InvalidAttributeException()

  Creates a new instance of `AttributeException` without detail message.

### InvalidAttributeException

    public InvalidAttributeException(java.lang.String msg)

  Constructs an instance of `AttributeException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD